Gtk2::MenuItem(3)

NAME
Gtk2::MenuItem

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Item
                                +----Gtk2::MenuItem

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Glib::Object::_Unregistered::GtkActivatable

METHODS

  widget = Gtk2::MenuItem->new ($label=undef)

* $label (string)

  widget = Gtk2::MenuItem->new_with_label ($label=undef)
* $label (string)

  widget = Gtk2::MenuItem->new_with_mnemonic ($label=undef)

* $label (string)

  string = $menu_item->get_accel_path
Since: gtk+ 2.14

  $menu_item->set_accel_path ($accel_path)

* $accel_path (string)

  $menu_item->activate

  $menu_item->deselect

  $menu_item->remove_submenu

  boolean = $menu_item->get_right_justified

  $menu_item->set_right_justified ($right_justified)
* $right_justified (boolean)

  $menu_item->select

  widget or undef = $menu_item->get_submenu

  $menu_item->set_submenu ($submenu)

* $submenu (Gtk2::Widget or undef)

  $menu_item->toggle_size_allocate ($allocation)
* $allocation (integer)

  requisition = $menu_item->toggle_size_request

PROPERTIES

'accel-path' (string : readable / writable / private)
    Sets the accelerator path of the menu item

'label' (string : readable / writable / private)
    The text for the child label

'right-justified' (boolean : readable / writable / private)
    Sets whether the menu item appears justified at the right side of a menu bar

'submenu' (Gtk2::Menu : readable / writable / private)
    The submenu attached to the menu item, or NULL if it has none

'use-underline' (boolean : readable / writable / private)
    If set, an underline in the text indicates the next character should be used for the mnemonic accelerator key

SIGNALS

activate (Gtk2::MenuItem)
activate-item (Gtk2::MenuItem)
toggle-size-request (Gtk2::MenuItem, gpointer)
toggle-size-allocate (Gtk2::MenuItem, integer)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::Item

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.